import { defineStore } from "pinia";
import { ref } from "vue";

import type { DataOption } from "@/modules/06_webservices/interface/index/Main";

export const useDataStoreManage = defineStore("webservicesManage", () => {
  const systemList = ref<DataOption[]>([{ id: "all", name: "ระบบทั้งหมด" }]);
  const methodOptions = ["GET", "POST", "PUT", "DELETE"];

  return {
    systemList,
    methodOptions,
  };
});
